## lcgdm 1.8.10

=== bin/Makefile ===
#
#  Copyright (C) 1997-2002 by CERN/IT/PDP/DM
#  All rights reserved
#

#  Default rules for Make          Linux

CC += -g -fPIC -D_LARGEFILE64_SOURCE
MTCCFLAGS = -pthread -DCTHREAD_LINUX -D_THREAD_SAFE -D_REENTRANT
MTLDLIBS =
MTLDFLAGS = -pthread
SHLIBLDFLAGS = -shared
SHLIBREQLIBS = -lc -lpthread

FC = g77

ACCTFLAG=-DSACCT

BIN = /opt/lcg/bin

CP = cp
LD = cc
LN = ln

RANLIB = ranlib

SHELL = /bin/sh

INCLUDES = ../../../h

LIBS = -L../../../shlib -llfc -lshift $(ADNSLIB) -lnsl -luuid -lCsec -ldl

PROGS = migrate_path migrate_files

CFLAGS = -I$(INCLUDES)

DEPLIBS = ../../../ns/libns.a

all: $(PROGS)

migrate_path: migrate_path.o $(DEPLIBS)
	$(LD) -o $@ $(LDFLAGS) migrate_path.o $(LIBS)
migrate_files: migrate_files.o $(DEPLIBS)
	$(LD) -o $@ $(LDFLAGS) migrate_files.o $(LIBS)

../../../ns/libns.a:	FORCE
	cd ../../../ns ; $(MAKE) libns.a

clean:
	-@$(RM) -f *.o *.a *.so ,* .es1 core

clobber:        clean
	-@$(RM) -f $(PROGS)

depend:
	makedepend -Y$(INCLUDES) *.c 2> /dev/null

Makefiles:

FORCE:

####################### DEPENDENCIES ##########################

# DO NOT DELETE THIS LINE -- make  depend  depends  on  it.

=== socket/Makefile ===
# $Id: Makefile,v 1.2 2005/04/26 14:21:35 grodid Exp $

# For now this Makefile uses explicit dependencies. The project
# hasn't grown big enough to need something complicated, and the
# dependency tracking files are an ugly annoyance.
#
# This file includes */module.mk files which add on to variables:
# FOO += bar/baz
#
#
# Set (or uncomment) SKIP if you wish to avoid something.
# For example, you may prefer the /bin/kill from util-linux or bsdutils.


VERSION      := 1
SUBVERSION   := 1
MINORVERSION := 2
TARVERSION   := $(VERSION).$(SUBVERSION).$(MINORVERSION)


############ vars

# so you can disable them or choose alternates
ldconfig := ldconfig
ln_f     := ln -f
ln_sf    := ln -sf
install  := install -D --owner 0 --group 0

# Lame x86-64 /lib64 and /usr/lib64 abomination:
lib64    := lib$(shell [ -d /lib64 ] && echo 64)

usr/bin                  := $(DESTDIR)/usr/bin/
bin                      := $(DESTDIR)/bin/
sbin                     := $(DESTDIR)/sbin/
usr/proc/bin             := $(DESTDIR)/usr/bin/
man1                     := $(DESTDIR)/usr/share/man/man1/
man5                     := $(DESTDIR)/usr/share/man/man5/
man8                     := $(DESTDIR)/usr/share/man/man8/
lib                      := $(DESTDIR)/$(lib64)/
usr/lib                  := $(DESTDIR)/usr/$(lib64)/
usr/include              := $(DESTDIR)/usr/include/

#SKIP     := $(bin)kill $(man1)kill.1

SKIP := $(usr/bin)uptime $(usr/bin)tload $(usr/bin)free $(usr/bin)w \
            $(usr/bin)top $(usr/bin)vmstat $(usr/bin)watch $(usr/bin)skill \
            $(usr/bin)snice $(bin)kill $(sbin)sysctl $(usr/bin)pmap \
            $(usr/proc/bin)pgrep $(usr/proc/bin)pkill $(usr/bin)slabtop

MANFILES := $(man1)uptime.1 $(man1)tload.1 $(man1)free.1 $(man1)w.1 \
            $(man1)top.1 $(man1)watch.1 $(man1)skill.1 $(man1)kill.1 \
            $(man1)snice.1 $(man1)pgrep.1 $(man1)pkill.1 $(man1)pmap.1 \
            $(man5)sysctl.conf.5 $(man8)vmstat.8 $(man8)sysctl.8 \
            $(man1)slabtop.1

TARFILES := AUTHORS BUGS NEWS README TODO COPYING COPYING.LIB \
            Makefile procps.lsm procps.spec v t README.top CodingStyle \
            sysctl.conf minimal.c $(notdir $(MANFILES)) dummy.c \
            uptime.c tload.c free.c w.c top.c vmstat.c watch.c skill.c \
            sysctl.c pgrep.c top.h pmap.c slabtop.c

# Stuff (tests, temporary hacks, etc.) left out of the standard tarball
# plus the top-level Makefile to make it work stand-alone.
_TARFILES := Makefile

CURSES := -lncurses

# Preprocessor flags.
PKG_CPPFLAGS := -D_GNU_SOURCE -I goputils -I ../h -I dpmcli
CPPFLAGS     := -I/usr/include/ncurses
ALL_CPPFLAGS := $(PKG_CPPFLAGS) $(CPPFLAGS)

# Left out -Wconversion due to noise in glibc headers.
# Left out -Wunreachable-code and -Wdisabled-optimization
# because gcc spews many useless warnings with them.
#
# Since none of the PKG_CFLAGS things are truly required
# to compile procps, they might best be moved to CFLAGS.
# On the other hand, they aren't normal -O -g things either.
#
# Note that -O2 includes -fomit-frame-pointer only if the arch
# doesn't lose some debugging ability.
#
##GG  -W -Wall -Wshadow -Wcast-align -Wredundant-decls
##GG   -Wbad-function-cast -Wcast-qual -Wwrite-strings -Waggregate-return
##GG  -Wstrict-prototypes -Wmissing-prototypes
PKG_CFLAGS   := -fno-common -ffast-math \
  -W -Wall -Wshadow -Wcast-align \
  -Wbad-function-cast -Wcast-qual -Waggregate-return \
  -Wmissing-prototypes
# Note that some stuff below is conditional on CFLAGS containing
# an option that starts with "-g". (-g, -g2, -g3, -ggdb, etc.)
CFLAGS       := -O2 -g
##  JPB
CFLAGS       += -fPIC -D_LARGEFILE64_SOURCE
##GG CFLAGS       := -O2 -s
ALL_CFLAGS   := $(PKG_CFLAGS) $(CFLAGS)
LIBPROG :=

PKG_LDFLAGS  := -Wl,-warn-common
LDFLAGS      :=
ALL_LDFLAGS  := $(PKG_LDFLAGS) $(LDFLAGS)

############ Add some extra flags if gcc allows

ifneq ($(MAKECMDGOALS),clean)
ifneq ($(MAKECMDGOALS),tar)  
ifneq ($(MAKECMDGOALS),extratar)

# Unlike the kernel one, this check_gcc goes all the way to
# producing an executable. There might be a -m64 that works
# until you go looking for a 64-bit curses library.
check_gcc = $(shell if $(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) dummy.c $(ALL_LDFLAGS) $(1) -o /dev/null $(CURSES) > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi ;)

ALL_CFLAGS += $(call check_gcc,-Wdeclaration-after-statement,)
##GG ALL_CFLAGS += $(call check_gcc,-Wpadded,)
ALL_CFLAGS += $(call check_gcc,-Wstrict-aliasing=2,)

# Adding -fno-gcse might be good for those files which
# use computed goto.
#ALL_CFLAGS += $(call check_gcc,-fno-gcse,)

# if not debugging, enable things that could confuse gdb
ifeq (,$(findstring -g,$(filter -g%,$(CFLAGS))))
ALL_CFLAGS += $(call check_gcc,-fweb,)
ALL_CFLAGS += $(call check_gcc,-frename-registers,)
ALL_CFLAGS += $(call check_gcc,-fomit-frame-pointer,)
endif

# in case -O3 is enabled, avoid bloat
ALL_CFLAGS += $(call check_gcc,-fno-inline-functions,)

# Be 64-bit if at all possible. In a cross-compiling situation, one may
# do "make m64=-m32 lib64=lib" to produce 32-bit executables. DO NOT
# attempt to use a 32-bit executable on a 64-bit kernel. Packagers MUST
# produce separate executables for ppc and ppc64, s390 and s390x,
# i386 and x86-64, mips and mips64, sparc and sparc64, and so on.
# Failure to do so will cause data corruption.
m64 := $(call check_gcc,-m64,)
ALL_CFLAGS += $(m64)

endif
endif
endif

############ misc.

# free.c pmap.c sysctl.c uptime.c vmstat.c watch.c pgrep.c skill.c tload.c top.c w.c
# utmp.c oldtop.c tmp-junk.c minimal.c

.SUFFIXES:
.SUFFIXES: .a .o .c .s .h

.PHONY: all clean do_all install tar extratar

ALL := $(notdir $(BINFILES))

CLEAN := $(notdir $(BINFILES))

DIRS :=

INSTALL := $(BINFILES) $(MANFILES)

# want this rule first, use := on ALL, and ALL not filled in yet
all: do_all

-include */module.mk

do_all:    $(ALL)

junk := DEADJOE *~ *.o core gmon.out

# Remove $(junk) from all $(DIRS)
CLEAN += $(junk) $(foreach dir,$(DIRS),$(addprefix $(dir), $(junk)))

##########
# not maintained because it isn't really needed:
#
#SRC :=
#OBJ := $(patsubst %.c,%.o, $(filter %.c,$(SRC)))
#
#ifneq ($(MAKECMDGOALS),clean)
#-include $(OBJ:.o=.d)
#endif
#
#%.d: %.c
#	depend.sh $(ALL_CPPFLAGS) $(ALL_CFLAGS) $< > $@
############

# don't want to type "make procps-$(TARVERSION).tar.gz"
tar: $(TARFILES)
	mkdir procps-$(TARVERSION)
	(tar cf - $(TARFILES)) | (cd procps-$(TARVERSION) && tar xf -)
	tar cf procps-$(TARVERSION).tar procps-$(TARVERSION)
	gzip -9 procps-$(TARVERSION).tar

extratar: $(_TARFILES)
	mkdir procps-$(TARVERSION)
	(tar cf - $(_TARFILES)) | (cd procps-$(TARVERSION) && tar xf -)
	tar cf extra-$(TARVERSION).tar procps-$(TARVERSION)
	gzip -9 extra-$(TARVERSION).tar

clean:
	rm -f $(CLEAN)

###### install

$(BINFILES) : all
	$(install) --mode a=rx $(notdir $@) $@

$(MANFILES) : all
	$(install) --mode a=r $(notdir $@) $@

##ORIGinstall: $(filter-out $(SKIP) $(addprefix $(DESTDIR),$(SKIP)),$(INSTALL))
##ORIG	cd $(usr/bin) && $(ln_f) skill snice
##ORIG	cd $(usr/proc/bin) && $(ln_f) pgrep pkill

############ prog.c --> prog.o

top.o : top.h

%.o : %.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -c -o $@ $<

w.o:    w.c
	$(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) $(W_SHOWFROM) -c $<

############ prog.o --> prog

pmap w uptime tload free sysctl vmstat utmp pgrep skill: % : %.o $(LIBPROC)
	$(CC) $(ALL_CFLAGS) $^ $(ALL_LDFLAGS) -o $@

slabtop top: % : %.o $(LIBPROC)
	$(CC) $(ALL_CFLAGS) $^ $(ALL_LDFLAGS) -o $@ $(CURSES)

watch: % : %.o
	$(CC) $(ALL_CFLAGS) $^ $(ALL_LDFLAGS) -o $@ $(CURSES)

############ progX --> progY

snice kill: skill
	ln -f skill $@

pkill: pgrep
	ln -f pgrep pkill

=== solaris/Makefile ===
#
# Copyright (c) Members of the EGEE Collaboration. 2006-2009.
# See http://public.eu-egee.org/partners/ for details on 
# the copyright holders.
# For license conditions see the license file or
# http://www.apache.org/licenses/LICENSE-2.0
#
# Authors: 
#      Akos Frohner <Akos.Frohner@cern.ch>
#      Jean-Philippe Baud <Jean-Philippe.Baud@cern.ch>
#
# Makefile to build all RPMs in one go.

default: all

SHELL = /bin/sh

ifndef VERSION
include ../VERSION
endif

ifndef RELEASE_SUFFIX
RELEASE_SUFFIX=sol10-x86
endif

ifeq ($(GLOBUS_LOCATION),)
GLOBUS_LOCATION=$(shell awk '/^.define.*GlobusLocation/ { print $$3 }' ../config/site.def)
endif

ifndef ORACLE_INSTANTCLIENT_LOCATION
ORACLE_INSTANTCLIENT_LOCATION=/usr
endif
ifndef ORACLE_INSTANTCLIENT_VERSION
ORACLE_INSTANTCLIENT_VERSION=10.2.0.3
endif
ORACLE_INSTANTCLIENT_LIBDIR=$(ORACLE_INSTANTCLIENT_LOCATION)/lib/oracle/$(ORACLE_INSTANTCLIENT_VERSION)/client/lib/

PYTHON_VERSION=$(shell python -c "import sys; print sys.version[:3]")

all: lcg-dm-common LFC-mysql DPM-mysql DPM-dicom-mysql
ifneq ($(PROC_INIT),)
all: LFC-oracle DPM-oracle
endif
all:
	mkdir -p ../RPMS
	cp build-*/RPMS/*-sol10-x86 ../RPMS/

client: lcg-dm-common LFC-client DPM-client
	mkdir -p ../RPMS
	cp build-*/RPMS/*-sol10-x86 ../RPMS/

check-proc:
	source $(PROC_INIT); which proc

SOURCE_DIR=LCG-DM-$(VERSION)
SOURCE_TAR=$(SOURCE_DIR).tar.gz

$(SOURCE_TAR):
	cd ..; \
	rm -rf $(SOURCE_DIR); \
	mkdir $(SOURCE_DIR); \
	cp -rp Imakefile Makefile.ini Makefile.ini.Win32 README VERSION \
		config imake test setosflags configure doc scripts \
		h lib shlib common ns rfio dpm srmv1 srmv2 srmv2.2 security \
		dli dicomcopy dpmcopy $(SOURCE_DIR); \
	find $(SOURCE_DIR) -name .svn -exec rm -rf {} \;; \
	gtar -czf $(SOURCE_TAR) $(SOURCE_DIR); \
	rm -rf $(SOURCE_DIR)
	mv ../$(SOURCE_TAR) .

source: $(SOURCE_TAR)

build-pkg: source
	mkdir -p build-pkg
	mkdir -p build-pkg/BUILD
	mkdir -p build-pkg/RPMS
	mkdir -p build-pkg/SOURCES
	cp $(SOURCE_TAR) build-pkg/SOURCES

###############################################################################
# common
###############################################################################

lcg-dm-common: build-pkg
	cd build-pkg/BUILD; \
	rm -rf $@-$(VERSION); \
	gtar -xzf ../SOURCES/$(SOURCE_TAR); \
	mv $(SOURCE_DIR) $@-$(VERSION)
	BUILD_ROOT=$(PWD)/build-pkg/BUILD/$@-$(VERSION)-root; \
	LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); export LD_LIBRARY_PATH; \
	(cd build-pkg/BUILD/$@-$(VERSION); \
	./configure --with-client-only dm CC=gcc MAKE=gmake ${EXTRA_CONFIGURE_OPTIONS}; \
	gmake; \
	gmake install prefix=$$BUILD_ROOT; \
	gmake install.man prefix=$$BUILD_ROOT); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.lcgdmcmn -v $(VERSION) VERSION=$(VERSION)
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/LCG-DM-common-$(VERSION)-$(RELEASE_SUFFIX) LCG-DM-common

###############################################################################
# LFC client
###############################################################################

LFC-client: build-pkg
	cd build-pkg/BUILD; \
	rm -rf $@-$(VERSION); \
	gtar -xzf ../SOURCES/$(SOURCE_TAR); \
	mv $(SOURCE_DIR) $@-$(VERSION)
	BUILD_ROOT=$(PWD)/build-pkg/BUILD/$@-$(VERSION)-root; \
	LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); export LD_LIBRARY_PATH; \
	(cd build-pkg/BUILD/$@-$(VERSION); \
	./configure --with-client-only lfc CC=gcc MAKE=gmake ${EXTRA_CONFIGURE_OPTIONS}; \
	gmake; \
	gmake install prefix=$$BUILD_ROOT; \
	gmake install.man prefix=$$BUILD_ROOT); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.lfcclient -v $(VERSION) VERSION=$(VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.lfcifce -v $(VERSION) PYTHON_VERSION=$(PYTHON_VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.lfcifce2 -v $(VERSION) PYTHON_VERSION=$(PYTHON_VERSION)
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/LFC-client-$(VERSION)-$(RELEASE_SUFFIX) LFC-client
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/LFC-interfaces-$(VERSION)-$(RELEASE_SUFFIX) LFC-interfaces
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/LFC-interfaces2-$(VERSION)-$(RELEASE_SUFFIX) LFC-interfaces2

###############################################################################
# DPM client
###############################################################################

DPM-client: build-pkg
	cd build-pkg/BUILD; \
	rm -rf $@-$(VERSION); \
	gtar -xzf ../SOURCES/$(SOURCE_TAR); \
	mv $(SOURCE_DIR) $@-$(VERSION)
	BUILD_ROOT=$(PWD)/build-pkg/BUILD/$@-$(VERSION)-root; \
	LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); export LD_LIBRARY_PATH; \
	(cd build-pkg/BUILD/$@-$(VERSION); \
	./configure --with-client-only dpm CC=gcc MAKE=gmake ${EXTRA_CONFIGURE_OPTIONS}; \
	gmake; \
	gmake install prefix=$$BUILD_ROOT; \
	gmake install.man prefix=$$BUILD_ROOT); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.dpmclient -v $(VERSION) VERSION=$(VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.dpmifce -v $(VERSION) PYTHON_VERSION=$(PYTHON_VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.dpmifce2 -v $(VERSION) PYTHON_VERSION=$(PYTHON_VERSION)
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-client-$(VERSION)-$(RELEASE_SUFFIX) DPM-client
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-interfaces-$(VERSION)-$(RELEASE_SUFFIX) DPM-interfaces
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-interfaces2-$(VERSION)-$(RELEASE_SUFFIX) DPM-interfaces2

###############################################################################
# LFC MySQL
###############################################################################

LFC-mysql: build-pkg
	cd build-pkg/BUILD; \
	rm -rf $@-$(VERSION); \
	gtar -xzf ../SOURCES/$(SOURCE_TAR); \
	mv $(SOURCE_DIR) $@-$(VERSION)
	BUILD_ROOT=$(PWD)/build-pkg/BUILD/$@-$(VERSION)-root; \
	LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); export LD_LIBRARY_PATH; \
	(cd build-pkg/BUILD/$@-$(VERSION); \
	./configure --with-mysql lfc CC=gcc MAKE=gmake ${EXTRA_CONFIGURE_OPTIONS}; \
	gmake; \
	gmake install prefix=$$BUILD_ROOT; \
	gmake install.man prefix=$$BUILD_ROOT); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.lfcclient -v $(VERSION) VERSION=$(VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.lfcifce -v $(VERSION) PYTHON_VERSION=$(PYTHON_VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.lfcifce2 -v $(VERSION) PYTHON_VERSION=$(PYTHON_VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.lfcmys -v $(VERSION) VERSION=$(VERSION)
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/LFC-client-$(VERSION)-$(RELEASE_SUFFIX) LFC-client
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/LFC-interfaces-$(VERSION)-$(RELEASE_SUFFIX) LFC-interfaces
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/LFC-interfaces2-$(VERSION)-$(RELEASE_SUFFIX) LFC-interfaces2
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/LFC-server-mysql-$(VERSION)-$(RELEASE_SUFFIX) LFC-server-mysql

###############################################################################
# DPM MySQL
###############################################################################

DPM-mysql: build-pkg
	cd build-pkg/BUILD; \
	rm -rf $@-$(VERSION); \
	gtar -xzf ../SOURCES/$(SOURCE_TAR); \
	mv $(SOURCE_DIR) $@-$(VERSION)
	BUILD_ROOT=$(PWD)/build-pkg/BUILD/$@-$(VERSION)-root; \
	LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); export LD_LIBRARY_PATH; \
	(cd build-pkg/BUILD/$@-$(VERSION); \
	./configure --with-mysql dpm CC=gcc MAKE=gmake ${EXTRA_CONFIGURE_OPTIONS}; \
	gmake; \
	gmake install prefix=$$BUILD_ROOT; \
	gmake install.man prefix=$$BUILD_ROOT); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.dpmclient -v $(VERSION) VERSION=$(VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.dpmifce -v $(VERSION) PYTHON_VERSION=$(PYTHON_VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.dpmifce2 -v $(VERSION) PYTHON_VERSION=$(PYTHON_VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.dpmmys -v $(VERSION) VERSION=$(VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.copymys -v $(VERSION) VERSION=$(VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.dpnsmys -v $(VERSION) VERSION=$(VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.srmmys -v $(VERSION) VERSION=$(VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.rfioserver -v $(VERSION) VERSION=$(VERSION)
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-client-$(VERSION)-$(RELEASE_SUFFIX) DPM-client
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-interfaces-$(VERSION)-$(RELEASE_SUFFIX) DPM-interfaces
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-interfaces2-$(VERSION)-$(RELEASE_SUFFIX) DPM-interfaces2
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-server-mysql-$(VERSION)-$(RELEASE_SUFFIX) DPM-server-mysql
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-copy-server-mysql-$(VERSION)-$(RELEASE_SUFFIX) DPM-copy-server-mysql
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-name-server-mysql-$(VERSION)-$(RELEASE_SUFFIX) DPM-name-server-mysql
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-srm-server-mysql-$(VERSION)-$(RELEASE_SUFFIX) DPM-srm-server-mysql
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-rfio-server-$(VERSION)-$(RELEASE_SUFFIX) DPM-rfio-server

###############################################################################
# DPM-DICOM MySQL
###############################################################################

DPM-dicom-mysql: build-pkg
	cd build-pkg/BUILD; \
	rm -rf $@-$(VERSION); \
	gtar -xzf ../SOURCES/$(SOURCE_TAR); \
	mv $(SOURCE_DIR) $@-$(VERSION)
	BUILD_ROOT=$(PWD)/build-pkg/BUILD/$@-$(VERSION)-root; \
	LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); export LD_LIBRARY_PATH; \
	(cd build-pkg/BUILD/$@-$(VERSION); \
	./configure --with-mysql --with-dicom dpm CC=gcc MAKE=gmake ${EXTRA_CONFIGURE_OPTIONS}; \
	gmake; \
	gmake install prefix=$$BUILD_ROOT; \
	gmake install.man prefix=$$BUILD_ROOT); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.dpmdicommys -v $(VERSION) VERSION=$(VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.dicommys -v $(VERSION) VERSION=$(VERSION)
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-dicom-server-mysql-$(VERSION)-$(RELEASE_SUFFIX) DPM-dicom-server-mysql
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-dicom-copyd-mysql-$(VERSION)-$(RELEASE_SUFFIX) DPM-dicom-copyd-mysql

###############################################################################
# LFC Oracle
###############################################################################

LFC-oracle: build-pkg
	cd build-pkg/BUILD; \
	rm -rf $@-$(VERSION); \
	gtar -xzf ../SOURCES/$(SOURCE_TAR); \
	mv $(SOURCE_DIR) $@-$(VERSION)
	BUILD_ROOT=$(PWD)/build-pkg/BUILD/$@-$(VERSION)-root; \
	LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(ORACLE_INSTANTCLIENT_LIBDIR):$(LD_LIBRARY_PATH); export LD_LIBRARY_PATH; \
	(cd build-pkg/BUILD/$@-$(VERSION); \
	./configure --with-oracle lfc CC=gcc MAKE=gmake ${EXTRA_CONFIGURE_OPTIONS}; \
	gmake; \
	gmake install prefix=$$BUILD_ROOT; \
	gmake install.man prefix=$$BUILD_ROOT); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.lfcora -v $(VERSION) VERSION=$(VERSION)
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/LFC-server-oracle-$(VERSION)-$(RELEASE_SUFFIX) LFC-server-oracle

###############################################################################
# DPM Oracle
###############################################################################

DPM-oracle: build-pkg
	cd build-pkg/BUILD; \
	rm -rf $@-$(VERSION); \
	gtar -xzf ../SOURCES/$(SOURCE_TAR); \
	mv $(SOURCE_DIR) $@-$(VERSION)
	BUILD_ROOT=$(PWD)/build-pkg/BUILD/$@-$(VERSION)-root; \
	LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(ORACLE_INSTANTCLIENT_LIBDIR):$(LD_LIBRARY_PATH); export LD_LIBRARY_PATH; \
	(cd build-pkg/BUILD/$@-$(VERSION); \
	./configure --with-oracle dpm CC=gcc MAKE=gmake ${EXTRA_CONFIGURE_OPTIONS}; \
	gmake; \
	gmake install prefix=$$BUILD_ROOT; \
	gmake install.man prefix=$$BUILD_ROOT); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.dpmora -v $(VERSION) VERSION=$(VERSION); \

=== scripts/Migration-LFC-MySQL-Oracle/src/Makefile ===
CC=g++
MIGRATE_LFC_HOME=/root/migration_ora_test/LCG-DM/scripts/Migration-LFC-MySQL-Oracle
IDIR=$(MIGRATE_LFC_HOME)/include
ORA_INSTANTINCL=/afs/cern.ch/project/oracle/instantclient/10.2.0.3/slc4_ia32_gcc34/sdk/include
MYSQL_HOME=/usr/include/mysql
INCL=-I$(IDIR) -I$(ORA_INSTANTINCL) -I$(MYSQL_HOME)
SOURCE_FILE=$(MIGRATE_LFC_HOME)/src
OUTDIR=$(MIGRATE_LFC_HOME)/output
ORA_LIBS=/afs/cern.ch/project/oracle/@sys/10203/lib
MYSQL_LIBS=/usr/lib/mysql
RANLIB = ranlib
SO_EXT=.so
MKLINK= ln -s

ICLIBPATH=-L$(ORA_LIBS) -L$(MYSQL_LIBS)
THREADLIBS= -lpthread
CCLIB=$(ICLIBPATH) -locci -lclntsh -lmysqlclient $(THREADLIBS)

CFLAGS=$(FLAGS)  -g 

OBJS = MigrateLFC.o getError.o MigrationStmt.o Ora_GetMetadataInfo.o mysql_info.o


$(OUTDIR)/MigrateLFC: $(OBJS) $(ORA_LIBS)/libclntsh$(SO_EXT) $(ORA_LIBS)/libocci$(SO_EXT) $(MYSQL_LIBS)/libmysqlclient$(SO_EXT)

	g++ -o $(OUTDIR)/MigrateLFC   $(OBJS) $(CCLIB)



getError.o:getError.cpp $(IDIR)/getError.h 
	$(CC) $(CFLAGS) $(INCL) -o getError.o  -c  getError.cpp

Ora_GetMetadataInfo.o:Ora_GetMetadataInfo.cpp  $(IDIR)/getError.h  $(IDIR)/Ora_GetMetadataInfo.h  
	$(CC) $(CFLAGS) $(INCL) -o Ora_GetMetadataInfo.o  -c Ora_GetMetadataInfo.cpp  

mysql_info.o:mysql_info.cpp $(IDIR)/getError.h $(IDIR)/mysql_info.h 
	$(CC) $(CFLAGS)  $(INCL) -o mysql_info.o  -c  mysql_info.cpp

MigrationStmt.o:MigrationStmt.cpp $(IDIR)/MigrationStmt.h 
	$(CC) $(CFLAGS)  $(INCL) -o MigrationStmt.o  -c  MigrationStmt.cpp

MigrateLFC.o:MigrateLFC.cpp $(IDIR)/MigrationStmt.h 
	$(CC) $(CFLAGS)  $(INCL) -o MigrateLFC.o  -c  MigrateLFC.cpp



clean:
	-rm -f *.o

=== scripts/RLS-Cms-migration/bin/Makefile ===
#
#  Copyright (C) 1997-2002 by CERN/IT/PDP/DM
#  All rights reserved
#

#  Default rules for Make          Linux

CC += -g -fPIC -D_LARGEFILE64_SOURCE
MTCCFLAGS = -pthread -DCTHREAD_LINUX -D_THREAD_SAFE -D_REENTRANT
MTLDLIBS =
MTLDFLAGS = -pthread
SHLIBLDFLAGS = -shared
SHLIBREQLIBS = -lc -lpthread

FC = g77

ACCTFLAG=-DSACCT

BIN = /opt/lcg/bin

CP = cp
LD = cc
LN = ln

RANLIB = ranlib

SHELL = /bin/sh

#INCLUDES = ../../../h
INCLUDES = ../../../h

#LIBS = -L../../../shlib -llfc -lshift $(ADNSLIB) -lnsl -luuid -lCsec -ldl
LIBS = -L../../../shlib -L/opt/lcg/lib -llfc $(ADNSLIB) -lnsl -luuid -ldl

PROGS = migrate_info migrate_path migrate_files

CFLAGS = -I$(INCLUDES)

DEPLIBS = ../../../ns/libns.a

all: $(PROGS)

migrate_info: migrate_info.o $(DEPLIBS)
	$(LD) -o $@ $(LDFLAGS) migrate_info.o $(LIBS)
migrate_path: migrate_path.o $(DEPLIBS)
	$(LD) -o $@ $(LDFLAGS) migrate_path.o $(LIBS)
migrate_files: migrate_files.o $(DEPLIBS)
	$(LD) -o $@ $(LDFLAGS) migrate_files.o $(LIBS)

../../../ns/libns.a:	FORCE
	cd ../../../ns ; $(MAKE) libns.a

clean:
	-@$(RM) -f *.o *.a *.so ,* .es1 core

clobber:        clean
	-@$(RM) -f $(PROGS)

depend:
	makedepend -Y$(INCLUDES) *.c 2> /dev/null

Makefiles:

FORCE:

####################### DEPENDENCIES ##########################

# DO NOT DELETE THIS LINE -- make  depend  depends  on  it.

=== debian/changelog ===
lcgdm (1.8.10-1build3) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:27:17 +0000

lcgdm (1.8.10-1build2) xenial; urgency=medium

  * No-change rebuild for gsoap transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2016 07:23:22 +0000

lcgdm (1.8.10-1build1) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 01:19:12 +0000

lcgdm (1.8.10-1) unstable; urgency=medium

  * Update to version 1.8.10
  * Implement Multi-Arch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 04 Dec 2015 06:07:13 +0100

=== debian/control ===
Source: lcgdm
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), libglobus-gssapi-gsi-dev, libglobus-gss-assist-dev, libglobus-gsi-credential-dev, libglobus-gsi-callback-dev, libglobus-gass-copy-dev, libglobus-ftp-client-dev, libglobus-common-dev, voms-dev (>= 2), gsoap, libcgsi-gsoap-dev (>= 1.3.4.2), libmysqlclient-dev, libpq-dev, uuid-dev, swig, libperl-dev, perl, python-dev, dh-python, xutils-dev, pkg-config
Standards-Version: 3.9.6
Section: net
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/lcgdm
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/lcgdm
Homepage: http://glite.web.cern.ch/glite/

Package: liblcgdm1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LHC Computing Grid Data Management common libraries
 This package contains common libraries for the LCG Data Management
 components: the LFC (LCG File Catalog) and the DPM (Disk Pool Manager).

Package: liblcgdm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblcgdm1 (= ${binary:Version}), ${misc:Depends}
Description: LCG Data Management common development files
 This package contains common development libraries and header files
 for LCG Data Management.

Package: liblfc1
Section: libs
Architecture: any
Multi-Arch: same
Depends: liblcgdm1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) libraries
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package contains the runtime LFC client library.

Package: liblfc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblfc1 (= ${binary:Version}), liblcgdm-dev (= ${binary:Version}), ${misc:Depends}
Description: LFC development libraries and header files
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package contains the development libraries and header files for LFC.

Package: lfc
Section: net
Architecture: any
Multi-Arch: foreign
Provides: lfc-client
Replaces: lfc-client (<< 1.8.1.2-2~), lfc-dli (<< 1.8.9)
Breaks: lfc-dli (<< 1.8.9)
Conflicts: lfc-client (<< 1.8.1.2-2~)
Depends: liblfc1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) client
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides the command line interfaces for the LFC.

Package: liblfc-perl
Section: perl
Architecture: any
Multi-Arch: same
Depends: liblfc1 (= ${binary:Version}), ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) perl bindings
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides Perl bindings for the LFC client library.

Package: python-lfc
Section: python
Architecture: any
Multi-Arch: foreign
Provides: ${python:Provides}
Depends: liblfc1 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: LCG File Catalog (LFC) python bindings
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides Python bindings for the LFC client library.

Package: lfc-server-mysql
Section: net
Architecture: any
Multi-Arch: foreign
Provides: lfc-mysql
Replaces: lfc-mysql (<< 1.8.1.2-2~)
Conflicts: lfc-mysql (<< 1.8.1.2-2~)
Depends: liblfc1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mysql-client | mariadb-client
Description: LCG File Catalog (LFC) server with MySQL database backend
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides an LFC server that uses MySQL as its database
 backend.

Package: lfc-server-postgres
Section: net
Architecture: any
Multi-Arch: foreign
Provides: lfc-postgres
Replaces: lfc-postgres (<< 1.8.1.2-2~)
Conflicts: lfc-postgres (<< 1.8.1.2-2~)
Depends: liblfc1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, postgresql-client
Description: LCG File Catalog (LFC) server with postgres database backend
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides an LFC server that uses postgres as its database
 backend.

Package: lfc-dli
Section: net
Architecture: any
Multi-Arch: foreign
Depends: liblfc1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) data location interface (dli) server
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides the data location interface (dli) server for
 the LFC.

Package: libdpm1
Section: libs
Architecture: any
Multi-Arch: same
Depends: liblcgdm1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) libraries
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package contains the runtime DPM client library.

Package: libdpm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdpm1 (= ${binary:Version}), liblcgdm-dev (= ${binary:Version}), ${misc:Depends}
Description: DPM development libraries and header files
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package contains the development libraries and header files for DPM.

Package: dpm
Section: net
Architecture: any
Multi-Arch: foreign
Provides: dpm-client
Replaces: dpm-client (<< 1.8.1.2-2~)
Conflicts: dpm-client (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) client
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides the command line interfaces for the DPM.

Package: libdpm-perl
Section: perl
Architecture: any
Multi-Arch: same
Depends: libdpm1 (= ${binary:Version}), ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) perl bindings
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides Perl bindings for the DPM client library.

Package: python-dpm
Section: python
Architecture: any
Multi-Arch: foreign
Provides: ${python:Provides}
Depends: libdpm1 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Disk Pool Manager (DPM) python bindings
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides Python bindings for the DPM client library.

Package: dpm-server-mysql
Section: net
Architecture: any
Multi-Arch: foreign
Provides: dpm-mysql
Replaces: dpm-mysql (<< 1.8.1.2-2~)
Conflicts: dpm-mysql (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mysql-client | mariadb-client
Description: Disk Pool Manager (DPM) server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM server that uses MySQL as its database
 backend.

Package: dpm-server-postgres
Section: net
Architecture: any
Multi-Arch: foreign
Provides: dpm-postgres
Replaces: dpm-postgres (<< 1.8.1.2-2~)
Conflicts: dpm-postgres (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, postgresql-client
Description: Disk Pool Manager (DPM) server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM server that uses postgres as its database
 backend.

Package: dpm-name-server-mysql
Section: net
Architecture: any
Multi-Arch: foreign
Provides: dpm-mysql-nameserver
Replaces: dpm-mysql-nameserver (<< 1.8.1.2-2~)
Conflicts: dpm-mysql-nameserver (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mysql-client | mariadb-client
Description: DPM nameserver server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM nameserver that uses MySQL as its
 database backend.

Package: dpm-name-server-postgres
Section: net
Architecture: any
Multi-Arch: foreign
Provides: dpm-postgres-nameserver
Replaces: dpm-postgres-nameserver (<< 1.8.1.2-2~)
Conflicts: dpm-postgres-nameserver (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, postgresql-client
Description: DPM nameserver server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM nameserver that uses postgres as its
 database backend.

Package: dpm-copy-server-mysql
Section: net
Architecture: any
Multi-Arch: foreign
Provides: dpm-mysql-copyd
Replaces: dpm-mysql-copyd (<< 1.8.1.2-2~)
Conflicts: dpm-mysql-copyd (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger
Description: DPM copy server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM copy server that uses MySQL as its
 database backend.

Package: dpm-copy-server-postgres
Section: net
Architecture: any
Multi-Arch: foreign
Provides: dpm-postgres-copyd
Replaces: dpm-postgres-copyd (<< 1.8.1.2-2~)
Conflicts: dpm-postgres-copyd (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger
Description: DPM copy server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM copy server that uses postgres as its
 database backend.

Package: dpm-srm-server-mysql
Section: net
Architecture: any
Multi-Arch: foreign
Provides: dpm-mysql-srmv1, dpm-mysql-srmv2, dpm-mysql-srmv22
Replaces: dpm-mysql-srmv1 (<< 1.8.1.2-2~), dpm-mysql-srmv2 (<< 1.8.1.2-2~), dpm-mysql-srmv22 (<< 1.8.1.2-2~)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

-include /usr/share/dpkg/buildflags.mk

INSTALLDIR = $(CURDIR)/debian/tmp

_prefix = /usr
_bindir = $(_prefix)/bin
_sbindir = $(_prefix)/sbin
_libdir = $(_prefix)/lib
_includedir = $(_prefix)/include
_sysconfdir = /etc
_localstatedir = /var
_initrddir = $(_sysconfdir)/init.d
_datadir = $(_prefix)/share
_mandir = $(_datadir)/man
_docdir = $(_datadir)/doc
_archlib = $(shell perl -MConfig -e 'print $$Config{vendorarch}')

VERSION=1.8.10

configure: configure-stamp

configure-stamp:
	dh_testdir

	chmod 644 security/globus_gsi_gss_constants.h \
		  security/globus_i_gsi_credential.h \
		  security/gssapi_openssl.h
	chmod 644 doc/lfc/INSTALL-*

	# LFC with mysql backend

	mkdir lfc-mysql
	cp -pr Imakefile Makefile.ini config configure VERSION scripts \
	    h lib shlib common ns rfio dpm \
	    srmv1 srmv2 srmv2.2 security dli dicomcopy dpmcopy \
	    test lfc-mysql

	# The code violates the strict aliasing rules all over the place...
	# Need to use -fnostrict-aliasing so that the -O2 optimization in
	# CFLAGS doesn't try to use them.
	sed 's/^CC +=/& $(CPPFLAGS) $(CFLAGS) -fno-strict-aliasing/' \
	    -i lfc-mysql/config/linux.cf

	sed 's/^CXXFLAGS =/& $(CPPFLAGS) $(CXXFLAGS)/' \
	    -i lfc-mysql/common/Imakefile

	cd lfc-mysql && \
	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
	./configure lfc --with-mysql \
		--libdir=\'lib/$(DEB_HOST_MULTIARCH)\' \
		--with-gsoap-version=$$gsoapversion \
		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
		--with-ns-config-file=$(_sysconfdir)/NSCONFIG \
		--with-etc-dir='$$(prefix)/../etc' \
		--with-sysconf-dir=EtcDir/default \
		--with-initrc-dir=EtcDir/init.d \
		--with-emi \
		--without-argus

	sed 's!$$(prefix)/var!$$(prefix)/../var!' -i lfc-mysql/config/site.def

	cd lfc-mysql && \
	make -f Makefile.ini Makefiles

	# LFC with postgres backend

	mkdir lfc-postgres
	cp -pr Imakefile Makefile.ini config configure VERSION scripts \
	    h lib shlib common ns rfio dpm \
	    srmv1 srmv2 srmv2.2 security dli dicomcopy dpmcopy \
	    test lfc-postgres

	# The code violates the strict aliasing rules all over the place...
	# Need to use -fnostrict-aliasing so that the -O2 optimization in
	# CFLAGS doesn't try to use them.
	sed 's/^CC +=/& $(CPPFLAGS) $(CFLAGS) -fno-strict-aliasing/' \
	    -i lfc-postgres/config/linux.cf

	sed 's/^CXXFLAGS =/& $(CPPFLAGS) $(CXXFLAGS)/' \
	    -i lfc-postgres/common/Imakefile

	cd lfc-postgres && \
	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
	./configure lfc --with-postgres \
		--libdir=\'lib/$(DEB_HOST_MULTIARCH)\' \
		--with-gsoap-version=$$gsoapversion \
		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
		--with-ns-config-file=$(_sysconfdir)/NSCONFIG \
		--with-etc-dir='$$(prefix)/../etc' \
		--with-sysconf-dir=EtcDir/default \
		--with-initrc-dir=EtcDir/init.d \
		--with-emi \
		--without-argus

	sed 's!$$(prefix)/var!$$(prefix)/../var!' -i lfc-postgres/config/site.def

	sed -e 's/\(BuildDLI	*\)YES/\1NO/' \
	    -e 's/\(BuildInterfaces	*\)YES/\1NO/' \
	    -e 's/\(BuildNameServerClient	*\)YES/\1NO/' \
	    -e 's/\(BuildNameServerLibrary	*\)YES/\1NO/' \
	    -i lfc-postgres/config/site.def
	sed '/^\#define.*YES/d' -i lfc-postgres/config/Project.tmpl \
				   lfc-postgres/config/Library.tmpl
	sed '/^SECURITYDIR =/d' -i lfc-postgres/config/Project.tmpl
	sed 's/\(install:\).*/\1/' -i lfc-postgres/h/Imakefile

	cd lfc-postgres && \
	make -f Makefile.ini Makefiles

	# DPM with mysql backend

	mkdir dpm-mysql
	cp -pr Imakefile Makefile.ini config configure VERSION scripts \
	    h lib shlib common ns rfio dpm \
	    srmv1 srmv2 srmv2.2 security dli dicomcopy dpmcopy \
	    test dpm-mysql

	# The code violates the strict aliasing rules all over the place...
	# Need to use -fnostrict-aliasing so that the -O2 optimization in
	# CFLAGS doesn't try to use them.
	sed 's/^CC +=/& $(CPPFLAGS) $(CFLAGS) -fno-strict-aliasing/' \
	    -i dpm-mysql/config/linux.cf

	sed 's/^CXXFLAGS =/& $(CPPFLAGS) $(CXXFLAGS)/' \
	    -i dpm-mysql/common/Imakefile

	cd dpm-mysql && \
	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
	./configure dpm --with-mysql \
		--libdir=\'lib/$(DEB_HOST_MULTIARCH)\' \
		--with-gsoap-version=$$gsoapversion \
		--with-dpm-config-file=$(_sysconfdir)/DPMCONFIG \
		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
		--with-ns-config-file=$(_sysconfdir)/DPNSCONFIG \
		--with-etc-dir='$$(prefix)/../etc' \
		--with-sysconf-dir=EtcDir/default \
		--with-initrc-dir=EtcDir/init.d \
		--with-emi \
		--without-argus

	sed 's!$$(prefix)/var!$$(prefix)/../var!' -i dpm-mysql/config/site.def

	sed -e '/^SECURITYDIR =/d' \
	    -e '/^COMMONDIR =/d' -i dpm-mysql/config/Project.tmpl
	sed -e 's/:.*(lcgdm).*/:/' -i dpm-mysql/lib/Imakefile
	sed -e 's/:.*(lcgdm).*/:/' -i dpm-mysql/shlib/Imakefile

	cd dpm-mysql && \
	make -f Makefile.ini Makefiles

	# DPM with postgres backend

	mkdir dpm-postgres
	cp -pr Imakefile Makefile.ini config configure VERSION scripts \
	    h lib shlib common ns rfio dpm \
	    srmv1 srmv2 srmv2.2 security dli dicomcopy dpmcopy \
	    test dpm-postgres

	# The code violates the strict aliasing rules all over the place...
	# Need to use -fnostrict-aliasing so that the -O2 optimization in
	# CFLAGS doesn't try to use them.
	sed 's/^CC +=/& $(CPPFLAGS) $(CFLAGS) -fno-strict-aliasing/' \
	    -i dpm-postgres/config/linux.cf

	sed 's/^CXXFLAGS =/& $(CPPFLAGS) $(CXXFLAGS)/' \
	    -i dpm-postgres/common/Imakefile

	cd dpm-postgres && \
	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
	./configure dpm --with-postgres \
		--libdir=\'lib/$(DEB_HOST_MULTIARCH)\' \
		--with-gsoap-version=$$gsoapversion \
		--with-dpm-config-file=$(_sysconfdir)/DPMCONFIG \
		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
		--with-ns-config-file=$(_sysconfdir)/DPNSCONFIG \
		--with-etc-dir='$$(prefix)/../etc' \
		--with-sysconf-dir=EtcDir/default \
		--with-initrc-dir=EtcDir/init.d \
		--with-emi \
		--without-argus

	sed 's!$$(prefix)/var!$$(prefix)/../var!' -i dpm-postgres/config/site.def

	sed -e 's/\(BuildDPMClient	*\)YES/\1NO/' \
	    -e 's/\(BuildInterfaces	*\)YES/\1NO/' \
	    -e 's/\(BuildNameServerClient	*\)YES/\1NO/' \
	    -e 's/\(BuildNameServerLibrary	*\)YES/\1NO/' \
	    -e 's/\(BuildRfioClient	*\)YES/\1NO/' \
	    -e 's/\(BuildRfioServer	*\)YES/\1NO/' \
	    -i dpm-postgres/config/site.def
	sed '/^\#define.*YES/d' -i dpm-postgres/config/Project.tmpl \
				-i dpm-postgres/config/Library.tmpl
	sed '/^SECURITYDIR =/d' -i dpm-postgres/config/Project.tmpl
	sed 's/\(install:\).*/\1/' -i dpm-postgres/h/Imakefile

	cd dpm-postgres && \
	make -f Makefile.ini Makefiles

	touch $@

build: build-indep build-arch

build-indep: build-stamp

build-arch: build-stamp

build-stamp: configure-stamp
	dh_testdir

	cd lfc-mysql && \
	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
		DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) \
		SYSCONFDIR=$(_sysconfdir) \
		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
		SHLIBLDFLAGS="-shared $(LDFLAGS) -Wl,-z,defs"

	cd lfc-postgres/shlib && ln -s ../../lfc-mysql/shlib/liblcgdm.so* .
	cd lfc-postgres/shlib && ln -s ../../lfc-mysql/shlib/liblfc.so* .

	cd lfc-postgres && \
	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
		DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) \
		SYSCONFDIR=$(_sysconfdir) \
		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
		SHLIBLDFLAGS="-shared $(LDFLAGS) -Wl,-z,defs" \
		POSINC=-I/usr/include/postgresql

	cd dpm-mysql/shlib && ln -s ../../lfc-mysql/shlib/liblcgdm.so* .

	cd dpm-mysql && \
	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
		DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) \
		SYSCONFDIR=$(_sysconfdir) \
		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
		SHLIBLDFLAGS="-shared $(LDFLAGS) -Wl,-z,defs"

	cd dpm-postgres/shlib && ln -s ../../lfc-mysql/shlib/liblcgdm.so* .
	cd dpm-postgres/shlib && ln -s ../../dpm-mysql/shlib/libdpm.so* .

	cd dpm-postgres && \
